# Interface UiComponentDependencies

interface UiComponentDependencies {
componentOptions?: BaseComponentOptions;
name: string;
type?: string;
}

#### Hierarchy (view full)

- UiComponentDependencies
  - ClickableComponentDependencies
  - ModalDialogComponentDependencies
  - TextTrackDisplayComponentDependencies
  - SliderComponentDependencies
  - VolumeControlComponentDependencies
  - VolumePanelComponentDependencies
  - RemainingTimeDisplayComponentDependencies
  - MenuButtonComponentDependencies

#####
Index

### Properties

componentOptions?
name
type?

## Properties

### `Optional` componentOptions

componentOptions?: BaseComponentOptions

### name

name: string

### `Optional` type

type?: string